<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
  </form-beans>
  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>
   <!-- user actions -->
    <action
      path="/index"
      type="cn.com.xunuo.webapp.action.IndexAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/main.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/map"
      type="cn.com.xunuo.webapp.action.MapAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/map.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/common/css"
      type="cn.com.xunuo.webapp.action.CssAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/common/css.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/common/menu"
      type="cn.com.xunuo.webapp.action.MenuAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/common/menu.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/searchBorwser"
      type="cn.com.xunuo.webapp.action.IndexAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/nofilter/wsbgiframe.jsp"
        redirect="false"
      />
	</action>
    <action
      path="/weather"
      type="cn.com.xunuo.webapp.action.WeatherAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/nofilter/weather.jsp"
        redirect="false"
      />
    </action>


	<action
      path="/lead"
      type="cn.com.xunuo.webapp.action.LeadForntAction"
	  name="leadForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="error"
        path="/error/leadError.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/lead.jsp"
        redirect="false"
      />
    </action>

	<action
      path="/leadSend"
      type="cn.com.xunuo.webapp.action.LeadForntAction"
	  name="leavemessageForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="error"
        path="/error/leadError.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/common/mailgoto.jsp"
        redirect="false"
      />
    </action>
<!-- Table1 end-->
    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
